Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQChildEvent Class Reference

The TQChildEvent class contains event parameters for child object events. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQChildEvent ( Type type, TQObject * child )
- TQObject * child () const
- bool inserted () const
- bool removed () const

## Detailed Description

The TQChildEvent class contains event parameters for child object events.

Child events are sent to objects when children are inserted or removed.

A ChildRemoved event is sent immediately, but a ChildInserted event is posted (with TQApplication::postEvent()).

Note that if a child is removed immediately after it is inserted, the ChildInserted event may be suppressed, but the ChildRemoved event will always be sent. In this case there will be a ChildRemoved event without a corresponding ChildInserted event.

The handler for these events is TQObject::childEvent().

See also Event Classes.

## Member Function Documentation

### TQChildEvent::TQChildEvent ( Type type, TQObject * child )

Constructs a child event object. The child is the object that is to be removed or inserted.

The type parameter must be either TQEvent::ChildInserted or TQEvent::ChildRemoved.

### TQObject * TQChildEvent::child () const

Returns the child widget that was inserted or removed.

### bool TQChildEvent::inserted () const

Returns TRUE if the widget received a new child; otherwise returns FALSE.

### bool TQChildEvent::removed () const

Returns TRUE if the object lost a child; otherwise returns FALSE.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.